# vim: set sw=4 ts=4 et nu:
#
# spec file for package mplayer2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Jiri Slaby <jslaby@suse.de>
# Copyright (c) 2011-2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via packman@links2linux.de

%define codecsdir %{_libdir}/codecs

Name:           mplayer2
Version:        20130427
Release:        4.2
Summary:        Advanced General Purpose Video Player
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Source:         mplayer2-%{version}.tar.xz
Source99:       mplayer2-rpmlintrc
Patch0:         inputbuffer_ffmpeg.patch
Url:            http://www.mplayer2.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  DirectFB-devel
BuildRequires:  Mesa-devel
BuildRequires:  SDL-devel
BuildRequires:  alsa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cdparanoia-devel
BuildRequires:  docutils
BuildRequires:  enca-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc
BuildRequires:  giflib-devel
BuildRequires:  glibc-devel
BuildRequires:  jack-devel
BuildRequires:  ladspa-devel
BuildRequires:  liba52-devel
BuildRequires:  libass-devel
BuildRequires:  libbluray-devel
BuildRequires:  libbs2b-devel
BuildRequires:  libcaca-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdca-devel
BuildRequires:  libdv-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libfaac-devel
BuildRequires:  libfaad-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  libmng-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libpng-devel
BuildRequires:  libpulse-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtool
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libvpx-devel
BuildRequires:  libvstream-client-devel
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  lirc-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  speex-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
BuildRequires:  xz
BuildRequires:  yasm
# barfs for 64bit portability issues in purely 32bit code (wine, and WIN32 loader):


%description
The mplayer2 project is an advanced general-purpose video player. A fork of the
original MPlayer project it contains significant further development and
supports a number of features not available in other Unix players.

%package -n mplayer2-as-mplayer
Summary:        Use mplayer2 as mplayer
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Conflicts:      MPlayer

%description -n mplayer2-as-mplayer
The mplayer2 project is an advanced general-purpose video player. A fork of the
original MPlayer project it contains significant further development and
supports a number of features not available in other Unix players.

This package adds "mplayer" symbolic links to mplayer2.

%prep
%setup -q
%patch0

%build
./configure \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --mandir="%{_mandir}" \
    --confdir="%{_sysconfdir}/mplayer2" \
    --libdir="%{_libdir}" \
    --codecsdir="%{codecsdir}" \
    --disable-directfb \
    --disable-dvdread-internal \
    --disable-libdvdcss-internal \
    --disable-libvorbis \
    --disable-mad \
    --disable-openal \
    --disable-termcap \
    --disable-theora \
    --disable-xmms \
    --enable-debug \
    --enable-joystick \
%ifarch %ix86 x86_64 ppc ppc64
    --enable-runtime-cpudetection \
%endif
    --language=all

%__make %{?_smp_flags} V=1

%install
%makeinstall

%__install -d "%{buildroot}%{_sysconfdir}/mplayer2"

%__mv "%{buildroot}%{_bindir}/mplayer" \
      "%{buildroot}%{_bindir}/mplayer2" 

%__mv "%{buildroot}%{_mandir}/man1/mplayer.1" \
      "%{buildroot}%{_mandir}/man1/mplayer2.1"

find "%{buildroot}%{_mandir}/" -type f -name mplayer.1 | while read f; do
    ff="${f%.1}"
    ff="${ff%mplayer}mplayer2.1"
    %__mv -v "$f" "$ff"
done

%__ln_s mplayer2 "%{buildroot}%{_bindir}/mplayer"
%__ln_s -f mplayer2.1%{ext_man} "%{buildroot}%{_mandir}/man1/mplayer.1%{ext_man}"
%__ln_s mplayer2 "%{buildroot}%{_sysconfdir}/mplayer"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE Copyright
%dir %{_sysconfdir}/mplayer2
%{_bindir}/mplayer2
%doc %{_mandir}/man1/mplayer2.1%{ext_man}

%files -n mplayer2-as-mplayer
%defattr(-,root,root)
%{_sysconfdir}/mplayer
%{_bindir}/mplayer
%doc %{_mandir}/man1/mplayer.1%{ext_man}

%changelog
* Tue Oct  7 2014 aloisio@gmx.com
- Patched for ffmpeg 2.3
* Tue Sep 24 2013 scarabeus@opensuse.org
- /etc/mplayer is not a %%dir but a symlink so reflect it correctly.
* Mon Aug 26 2013 nomail@nomail.com
- Fix ARM configure : only enble cpu-detection for x86* and ppc*
* Mon Aug 26 2013 jslaby@suse.cz
- update to 20130427
  * OSD fixes
  * build fixes
  * many other fixes
- mplayer2-rename_dirs_to_mplayer2.patch: remove as we pass a
  correct configure option
* Wed Jan  9 2013 jslaby@suse.cz
- update to 20121128
  * improve decoder open failure handling
  * subreader: fix some of ASS parser issues
  * stream_ftp: support longer filenames, general fixes
  * and other fixes
- switch to local _service file for easier updating
* Tue Nov 20 2012 jslaby@suse.cz
- update to 20121120
  * OSD is rendered using libass
  * many cleanups (it now uses stuff from libav)
  * many bugfixes
* Sun Aug  5 2012 jslaby@suse.de
- update to 20120805
* Sun Jun 17 2012 jslaby@suse.de
- update to 20120517
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- update to 20120414
- dropped patches, as they have been merged upstream:
  * demux-lavf-update-growing-file-size-info-for-AVSEEK_SIZE.patch
  * vo-reject-vo_redraw_frame-if-no-frames-have-been-drawn.patch
* Tue Feb 28 2012 jslaby@suse.de
- fix crash on aspect ratio change
- build debuginfo packages. They are handy at crashes.
- mplayer_options are not used by the build system anymore. Pass
  the options to configure directly (this turns runtime
  cpudetection back on)
* Sun Feb 26 2012 jslaby@suse.de
- allow seeks for growing files past the initial size
* Thu Feb 23 2012 pascal.bleser@opensuse.org
- update to 637d6b7c8e12b4f71ccbc64f73a402b573e71697 (20120228)
* Fri Feb 10 2012 jslaby@suse.cz
- add some buildrequires to enable many filters and outputs
* Fri May 27 2011 pascal.bleser@opensuse.org
- add --enable-runtime-cpudetection, thanks to Martin Herkt for the hint
* Mon Mar 28 2011 pascal.bleser@opensuse.org
- update to 2.0:
  * better pause handling
  * improved Matroska support
  * much better VDPAU support
  * precise seeking
  * many bugfixes
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (1.99+2.0rc2)
